Skip to main content
GET
/
api
/
lipsyncs_v2
/
cURL
curl --request GET \
  --url https://api.creatify.ai/api/lipsyncs_v2/ \
  --header 'X-API-ID: <api-key>' \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.creatify.ai/api/lipsyncs_v2/"

headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};

fetch('https://api.creatify.ai/api/lipsyncs_v2/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "output": "<string>",
    "video_thumbnail": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "credits_used": 123,
    "duration": 123,
    "progress": "<string>",
    "failed_reason": "<string>",
    "status": "<string>",
    "preview": "<string>",
    "editor_url": "<string>",
    "video_inputs": [
      "<unknown>"
    ],
    "name": "<string>",
    "media_job": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "webhook_url": "<string>"
  }
]

Authorizations

X-API-ID
string
header
required

API ID, from your settings page.

X-API-KEY
string
header
required

API Key, from your settings page.

Query Parameters

ids
string

Comma-separated list of UUIDs to filter. Maximum 100 entries allowed.

Minimum string length: 1

Response

200 - application/json
id
string<uuid>
required
read-only
output
string | null
required
read-only

Output video

video_thumbnail
string<uri>
required
read-only

Generated Video Thumbnail URL

created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only
credits_used
number
required
read-only

Credits used in this API call

duration
integer
required
read-only

Duration of the video in seconds

progress
string
required
read-only
failed_reason
string | null
required
read-only

The reason for failure, if the lipsync request failed

status
string
required
read-only

Status of the lipsync request

preview
string | null
required
read-only

Preview video

editor_url
string | null
required
read-only

Editor URL for the video. Expires in 24 hours. Available only if your API account has API editor access enabled.

aspect_ratio
enum<string>
required

The aspect ratio of the video

  • 16x9 - Ratio 16 9
  • 1x1 - Ratio 1 1
  • 9x16 - Ratio 9 16
Available options:
16x9,
1x1,
9x16
video_inputs
any[]
required
read-only
name
string | null

The name of the lipsync request.

Maximum string length: 255
media_job
string<uuid> | null

The media job associated with the lipsync request.

webhook_url
string<uri> | null

The webhook URL to be called upon completion of the lipsync request

Maximum string length: 200
model_version
enum<string>

Model version for the avatar, 'standard', 'aurora_v1' or 'aurora_v1_fast'. Default is 'standard'. Standard model costs 5 credits per 30 seconds video, Aurora_v1 model costs 1 credit per second, and Aurora_v1_fast renders faster with lower quality for 0.5 credits per second.

  • standard - Standard
  • aurora_v1 - Aurora v1
  • aurora_v1_fast - Aurora v1 Fast
Available options:
standard,
aurora_v1,
aurora_v1_fast